@import url('open-iconic/font/css/open-iconic-bootstrap.min.css');

html, body {
    font-family: 'Helvetica Neue', Helvetica, Arial, sans-serif;
	font-size: 12px;
}

h1:focus {
    outline: none;
}

a, .btn-link {
    color: #0071c1;
}

.btn-primary {
    color: #fff;
    background-color: #1b6ec2;
    border-color: #1861ac;
}

app {
    position: relative;
    display: flex;
    flex-direction: column;
}

.e-filemanager .e-fe-popup.e-dialog.e-popup.e-dlg-resizable {
    z-index: 1202 !important;
}

.sidebar .top-row {
    background-color: rgba(0,0,0,0.4);
}

.sidebar .navbar-brand {
    font-size: 1.1rem;
}


.btn:focus, .btn:active:focus, .btn-link.nav-link:focus, .form-control:focus, .form-check-input:focus {
  box-shadow: 0 0 0 0.1rem white, 0 0 0 0.25rem #258cfb;
}

.content {
    padding-top: 1.1rem;
}

.valid.modified:not([type=checkbox]) {
    outline: 1px solid #26b050;
}

.invalid {
    outline: 1px solid red;
}

.validation-message {
    color: red;
}

#blazor-error-ui {
    background: lightyellow;
    bottom: 0;
    box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
    display: none;
    left: 0;
    padding: 0.6rem 1.25rem 0.7rem 1.25rem;
    position: fixed;
    width: 100%;
    z-index: 1000;
}

    #blazor-error-ui .dismiss {
        cursor: pointer;
        position: absolute;
        right: 0.75rem;
        top: 0.5rem;
    }

.blazor-error-boundary {
    background: url(data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iNTYiIGhlaWdodD0iNDkiIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyIgeG1sbnM6eGxpbms9Imh0dHA6Ly93d3cudzMub3JnLzE5OTkveGxpbmsiIG92ZXJmbG93PSJoaWRkZW4iPjxkZWZzPjxjbGlwUGF0aCBpZD0iY2xpcDAiPjxyZWN0IHg9IjIzNSIgeT0iNTEiIHdpZHRoPSI1NiIgaGVpZ2h0PSI0OSIvPjwvY2xpcFBhdGg+PC9kZWZzPjxnIGNsaXAtcGF0aD0idXJsKCNjbGlwMCkiIHRyYW5zZm9ybT0idHJhbnNsYXRlKC0yMzUgLTUxKSI+PHBhdGggZD0iTTI2My41MDYgNTFDMjY0LjcxNyA1MSAyNjUuODEzIDUxLjQ4MzcgMjY2LjYwNiA1Mi4yNjU4TDI2Ny4wNTIgNTIuNzk4NyAyNjcuNTM5IDUzLjYyODMgMjkwLjE4NSA5Mi4xODMxIDI5MC41NDUgOTIuNzk1IDI5MC42NTYgOTIuOTk2QzI5MC44NzcgOTMuNTEzIDI5MSA5NC4wODE1IDI5MSA5NC42NzgyIDI5MSA5Ny4wNjUxIDI4OS4wMzggOTkgMjg2LjYxNyA5OUwyNDAuMzgzIDk5QzIzNy45NjMgOTkgMjM2IDk3LjA2NTEgMjM2IDk0LjY3ODIgMjM2IDk0LjM3OTkgMjM2LjAzMSA5NC4wODg2IDIzNi4wODkgOTMuODA3MkwyMzYuMzM4IDkzLjAxNjIgMjM2Ljg1OCA5Mi4xMzE0IDI1OS40NzMgNTMuNjI5NCAyNTkuOTYxIDUyLjc5ODUgMjYwLjQwNyA1Mi4yNjU4QzI2MS4yIDUxLjQ4MzcgMjYyLjI5NiA1MSAyNjMuNTA2IDUxWk0yNjMuNTg2IDY2LjAxODNDMjYwLjczNyA2Ni4wMTgzIDI1OS4zMTMgNjcuMTI0NSAyNTkuMzEzIDY5LjMzNyAyNTkuMzEzIDY5LjYxMDIgMjU5LjMzMiA2OS44NjA4IDI1OS4zNzEgNzAuMDg4N0wyNjEuNzk1IDg0LjAxNjEgMjY1LjM4IDg0LjAxNjEgMjY3LjgyMSA2OS43NDc1QzI2Ny44NiA2OS43MzA5IDI2Ny44NzkgNjkuNTg3NyAyNjcuODc5IDY5LjMxNzkgMjY3Ljg3OSA2Ny4xMTgyIDI2Ni40NDggNjYuMDE4MyAyNjMuNTg2IDY2LjAxODNaTTI2My41NzYgODYuMDU0N0MyNjEuMDQ5IDg2LjA1NDcgMjU5Ljc4NiA4Ny4zMDA1IDI1OS43ODYgODkuNzkyMSAyNTkuNzg2IDkyLjI4MzcgMjYxLjA0OSA5My41Mjk1IDI2My41NzYgOTMuNTI5NSAyNjYuMTE2IDkzLjUyOTUgMjY3LjM4NyA5Mi4yODM3IDI2Ny4zODcgODkuNzkyMSAyNjcuMzg3IDg3LjMwMDUgMjY2LjExNiA4Ni4wNTQ3IDI2My41NzYgODYuMDU0N1oiIGZpbGw9IiNGRkU1MDAiIGZpbGwtcnVsZT0iZXZlbm9kZCIvPjwvZz48L3N2Zz4=) no-repeat 1rem/1.8rem, #b32121;
    padding: 1rem 1rem 1rem 3.7rem;
    color: white;
}

    .blazor-error-boundary::after {
        content: "An error has occurred."
    }

@media (min-width: 768px) {
    app {
        flex-direction: row;
    }

    .sidebar {
        width: 250px;
        min-width:250px;
        height: auto;
        min-height:100vh;
        position: sticky;
        top: 0;
    }

    .main > div {
        padding-left: 8rem !important;
        padding-right: 1rem !important;
    	padding-top: 1rem; !important;
    }

    .navbar-toggler {
        display: none;
    }

    .sidebar .collapse {
        /* Never collapse the sidebar for wide screens */
        display: block;
    }
}

/*This css is to change font-size of all Syncfusion controls/components except components in LoginDisplay and NavMenu */
body:not(.e-control):not(.e-custom-exclude), [class^="e-"]:not(.e-control):not(.e-custom-exclude):not(.e-dropdown-menu):not(.e-item){
	font-size: 1rem !important;
}

/* Grid Style */
.e-grid {
	 padding: 0 !important;
	 margin: 0 !important;
 }

.e-gridcontent,
.e-headercontent,
.e-row {
	padding: 0 !important;
	margin: 0 !important;
}

.e-rowcell {
	padding: 0 !important;
	padding-left: 5px !important;
	padding-right: 5px !important;
}

.clickable-row .e-row {
	cursor: pointer !important;
}

.no-headers .e-gridheader {
	display: none !important;
}

.e-grid .e-headercell {
	height: 2rem !important;
	background-color: var(--gray-20) !important;
}

/*Grid Pager*/
.e-grid .e-gridpager .e-prevpagedisabled,
.e-grid .e-gridpager .e-prevpage,
.e-grid .e-gridpager .e-nextpage,
.e-grid .e-gridpager .e-nextpagedisabled,
.e-grid .e-gridpager .e-lastpagedisabled,
.e-grid .e-gridpager .e-lastpage,
.e-grid .e-gridpager .e-firstpage,
.e-grid .e-gridpager .e-firstpagedisabled,
.e-grid .e-gridpager .e-numericitem,
.e-grid .e-gridpager .e-currentitem {
	line-height: 2rem !important;
	padding: 0 0.5rem !important;
	min-width: 2rem !important;
}

.e-grid .e-gridpager .e-numericitem:hover {
	line-height: 2rem !important;
	padding: 0 0.5rem !important;
	min-width: 2rem !important;
}

.e-grid .e-gridpager .e-pagesizes .e-pagerdropdown {
	display: inline-block !important;
	height: 2.7rem !important;
	margin-left: 0.8rem !important;
	margin-right: 0.7rem !important;
	margin-top: -0.5rem !important;
	overflow: unset !important;
	vertical-align: middle !important;
	width: 5.7rem !important;
}

.e-grid .e-gridpager .e-pagesizes .e-input-group {
	height: 2rem;      
	min-height: 2rem;
}


.e-grid .e-gridpager .e-pagesizes .e-input {
	height: 2rem;
	padding: 0 0.6667rem;
}

.e-grid .e-gridpager .e-pagesizes .e-input-group-icon {
	height: 2rem !important;
	min-height: 2rem !important;
	padding-top: 0 !important;
	padding-bottom: 0 !important;
	font-size: 1rem !important;
}

.e-grid .e-gridpager .e-pagesizes .e-pagerconstant {
	margin-bottom: 0.1667rem;   
	margin-left: 0.3333rem;     
}

/* Card */
.e-card {
	margin: 10px !important;
}
.e-card.compact-card .e-card-content {
	padding-top: 0 !important;
	margin-top: 0 !important; /* Ensure no extra spacing */
}
.no-headers .e-gridheader {
	display: none !important;
}
.compact-input .e-float-input label.e-float-text {
	top: 2px !important; /* Move label closer to input when not focused */
	font-size: 12px !important; 
}

:root{
	--bs-primary: #023D89;
	--bs-secondary: #0077B6;
	--bs-secondary-hover: #00639A;
	
	--tertiary: #0095C6;
	--success: #10B981;
	--warning: #F59E0B;
	--errror: #EF4444;
	--info: #0483BC;
	
	--primary-text: #171717;
	--secondary-text: #3F4A57;
	--disabled-text: #B6C3D4;
	
	--white: #FFFFFF;
	--gray-20: #F8FAFB;
	--dark-blue: #000c35;
	--light-blue:  #0D335A;
}